Package com.pixelmed.display

## Class DicomImageBlackout.BurnedInAnnotationFlagAction

- java.lang.Object
- - com.pixelmed.display.DicomImageBlackout.BurnedInAnnotationFlagAction

- Enclosing class:
    DicomImageBlackout

      public abstract class DicomImageBlackout.BurnedInAnnotationFlagAction
      extends java.lang.Object

  A class of values for the Burned in Annotation action argument of the `DicomImageBlackout()` constructor.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ADD_AS_NO_IF_CHANGED` | Always remove the Burned in Annotation attribute when the file is saved, only replacing it and using a value of NO when regions have been blacked out.
    `static int` | `ADD_AS_NO_IF_SAVED` | Always remove the Burned in Annotation attribute when the file is saved, always replacing it with a value of NO, regardless of whether when regions have been blacked out, such as when visual inspection confirms that there is no burned in annotation.
    `static int` | `ALWAYS_REMOVE` | Always remove the Burned in Annotation attribute when the file is saved, without replacing it.
    `static int` | `LEAVE_ALONE` | Leave any existing Burned in Annotation attribute value alone.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LEAVE_ALONE

          public static final int LEAVE_ALONE

      Leave any existing Burned in Annotation attribute value alone.

      See Also:
        Constant Field Values

    - #### ALWAYS_REMOVE

          public static final int ALWAYS_REMOVE

      Always remove the Burned in Annotation attribute when the file is saved, without replacing it.

      See Also:
        Constant Field Values

    - #### ADD_AS_NO_IF_CHANGED

          public static final int ADD_AS_NO_IF_CHANGED

      Always remove the Burned in Annotation attribute when the file is saved, only replacing it and using a value of NO when regions have been blacked out.

      See Also:
        Constant Field Values

    - #### ADD_AS_NO_IF_SAVED

          public static final int ADD_AS_NO_IF_SAVED

      Always remove the Burned in Annotation attribute when the file is saved, always replacing it with a value of NO, regardless of whether when regions have been blacked out, such as when visual inspection confirms that there is no burned in annotation.

      See Also:
        Constant Field Values